## org.apache.commons.collections.keyvalue
Class TiedMapEntry

    java.lang.Object
      org.apache.commons.collections.keyvalue.TiedMapEntry

All Implemented Interfaces:
  KeyValue, Map.Entry, Serializable

public class TiedMapEntry
extends Object
implements Map.Entry, KeyValue, Serializable

A Map Entry tied to a map underneath.

This can be used to enable a map entry to make changes on the underlying map, however this will probably mess up any iterators.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/04/09 14:35:10 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`TiedMapEntry(Map map, Object key)` Constructs a new entry with the given Map and key.

Method Summary
`boolean` `equals(Object obj)` Compares this Map Entry with another Map Entry.
`Object` `getKey()` Gets the key of this entry
`Object` `getValue()` Gets the value of this entry direct from the map.
`int` `hashCode()` Gets a hashCode compatible with the equals method.
`Object` `setValue(Object value)` Sets the value associated with the key direct onto the map.
`String` `toString()` Gets a string version of the entry.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TiedMapEntry

    public TiedMapEntry(Map map,
                        Object key)

  Constructs a new entry with the given Map and key.

Parameters:
  `map` - the map
  `key` - the key

Method Detail

### getKey

    public Object getKey()

  Gets the key of this entry

  Specified by:
    `getKey` in interface `Map.Entry`
  Returns:
    the key

### getValue

    public Object getValue()

  Gets the value of this entry direct from the map.

  Specified by:
    `getValue` in interface `Map.Entry`
  Returns:
    the value

### setValue

    public Object setValue(Object value)

  Sets the value associated with the key direct onto the map.

  Specified by:
    `setValue` in interface `Map.Entry`
  Parameters:
    `value` - the new value
  Returns:
    the old value
  Throws:
    `IllegalArgumentException` - if the value is set to this map entry

### equals

    public boolean equals(Object obj)

  Compares this Map Entry with another Map Entry.

  Implemented per API documentation of `Map.Entry.equals(Object)`

  Specified by:
    `equals` in interface `Map.Entry`
  Parameters:
    `obj` - the object to compare to
  Returns:
    true if equal key and value

### hashCode

    public int hashCode()

  Gets a hashCode compatible with the equals method.

  Implemented per API documentation of `Map.Entry.hashCode()`

  Specified by:
    `hashCode` in interface `Map.Entry`
  Returns:
    a suitable hash code

### toString

    public String toString()

  Gets a string version of the entry.

  Returns:
    entry as a string

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.